Draft Upgrade/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Userdocnavi/fr}}")
No edit summary
Line 6: Line 6:
|IconL=Draft_Split.svg|IconC=Workbench_Draft.svg|IconR=Draft_Downgrade.svg}}
|IconL=Draft_Split.svg|IconC=Workbench_Draft.svg|IconR=Draft_Downgrade.svg}}


{{GuiCommand/fr
<div class="mw-translate-fuzzy">
|Name=Draft Upgrade
{{GuiCommand/fr|Name=Draft Upgrade|Name/fr=Mettre à niveau Draft|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]|MenuLocation=Pièce → Mettre à niveau|Shortcut=U P|SeeAlso=[[Draft Downgrade/fr|Rétrograder]]}}
|Name/fr=Mettre à niveau Draft
</div>
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
|MenuLocation=Draft → Mettre à niveau
|Shortcut=U P
|SeeAlso=[[Draft Downgrade/fr|Rétrograder]], [[Part Union/fr|Part Union]]}}


==Description==
==Description==

Revision as of 14:33, 6 March 2019

Mettre à niveau Draft

Emplacement du menu
Draft → Mettre à niveau
Ateliers
Draft, Arch
Raccourci par défaut
U P
Introduit dans la version
-
Voir aussi
Rétrograder, Part Union

Description

Cet outil met à niveau les objets sélectionnés de différentes façons. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

The Upgrade tool performs things such as creating faces and fusing different elements. This tool works with 2D Draft elements. To fuse 3D solids use Part Union and related Boolean operations of the Part Workbench, and PartDesign Boolean of the PartDesign Workbench.

The counterpart to this tool is the Draft Downgrade operation.

Open wire upgraded to a closed wire, then to a face; a closed square upgraded to a face, and then fused with the previous face

Utilisation

  1. Sélectionnez un ou plusieurs objets que vous souhaitez mettre à niveau
  2. Cliquez sur le bouton Mettre à niveau ou pressez sur les touches U puis P

The selected objects are modified or upgraded according to the following conditions, in order:

  1. If there are more than one face in the selection, the faces are merged (union).
  2. If there is only one face in the selection, nothing is done.
  3. If there is only one open wire in the selection, it gets closed, making a face.
  4. If there are only edges in the selection, all edges are joined into a wire, and the wire is closed if possible.
  5. If none of the above is possible, a compound object is created.

It is worth trying to upgrade a selection several times to see if a better shape is obtained. For example:

  1. Upgrading two Draft Lines connected at one end will result in a non-editable wire.
  2. Upgrading this element again will add a third line and close the non-editable wire.
  3. Upgrading this element again will add a face to the closed, non-editable wire.
  4. Upgrading this element again will turn it into a Draft Wire, which can be fully edited, and all its properties modified.

The resulting wire can be better manipulated than the original lines. The fusion of single lines can also be done directly with the Draft Wire tool. Some fusion operations can also be done with the Part Union tool.

Options

Les objets sélectionnés sont modifiés/mis à niveau en suivant l'ordre de cette liste :

  • S'il y a plus d'une face sélectionnée, les faces sont fusionnées.
  • S'il n'y a qu'une seule face, rien ne se passe.
  • S'il n'y a qu'un seul fil (wire) ouvert, il sera fermé.
  • S'il y a seulement des arêtes (edges), toutes les arêtes sont raccordées en un fil (wire) (fermé si possible).
  • Si aucune de ces actions n'est possible, un objet composé sera créé.

Script

L'outil mettre à niveau peut être utilisé dans un script Python ou dans une macro en faisant :

upgrade_list = upgrade(objects, delete=False, force=None)
addList, deleteList = upgrade(objects, delete=False, force=None)
  • Met à niveau l'objet(s) sélectionné (qui peut être un objet ou une liste d'objets).
  • Si supprimer est sur True, les anciens objets sont supprimés.
  • L'attribut "force" peut être utilisé pour forcer un certain mode de mise à niveau. Il peut être : makeCompound, closeGroupWires, makeSolid, closeWire, turnToParts, makeFusion, makeShell, makeFaces, draftify, joinFaces, makeSketchFace, makeWires.
  • retourne un dictionnaire contenant deux listes, une liste des nouveaux objets et une liste d'objets à supprimer.

Exemple:

import FreeCAD, Draft

Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=False)
fused = addList1[0]

Line1 = Draft.makeLine(FreeCAD.Vector(2000, 0, 0), FreeCAD.Vector(2500, 1500, 0))
Line2 = Draft.makeLine(FreeCAD.Vector(2500, 1500, 0), FreeCAD.Vector(3000, -1000, 0))
addList2, deleteList2 = Draft.upgrade([Line1, Line2], delete=False)

simple_wire = addList2[0]
addList3, deleteList3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = addList3[0]
addList4, deleteList4 = Draft.upgrade(closed_wire, delete=False)

face = addList4[0]
addList5, deleteList5 = Draft.upgrade(face, delete=False)